org.apache.catalina.filters

## Class CsrfPreventionFilter.LruCache<T>

- java.lang.Object
- - org.apache.catalina.filters.CsrfPreventionFilter.LruCache<T>

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    CsrfPreventionFilter

      protected static class CsrfPreventionFilter.LruCache<T>
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CsrfPreventionFilter.LruCache(int cacheSize)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(T key)`
    `boolean` | `contains(T key)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CsrfPreventionFilter.LruCache

          public CsrfPreventionFilter.LruCache(int cacheSize)

  - ### Method Detail

    - #### add

          public void add(T key)

    - #### contains

          public boolean contains(T key)

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.